Subject: Re: [Bitcoin-development] Supermajority mining votes for valid->invalid changes.

From: Gregory Maxwell <[email-masked]>
Date: Mon, 3 Oct 2011 01:39:07 -0400

On Mon, Oct 3, 2011 at 1:32 AM, Luke-Jr <[email-masked]> wrote:
> Perhaps as a safeguard:
> (3) Before applying the new rule, require 50% of the last Y blocks contain a
>    coinbase with a "I am upgraded" code
> (4) Until the new rule is active, include an "I am upgraded" code in every
>    block; after it's active, this can be turned off

(4) is a nice idea.

I was hoping to avoid (3) simply because for any one of these upgrades
hopefully 95% of the network is neutral wrt the change because they
won't mine either form of the transactions.

The active statement has the benefit that it constitutes a proof: You
know with specific confidence (based on the window size) how likely a
fork of length X will be if a newly invalid transaction is announced
at the time of the activation.